Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.model
Class ListShuttleDataModel

    java.lang.Object
      javax.faces.model.DataModel
          org.ajax4jsf.model.ExtendedDataModel
              org.richfaces.model.ListShuttleDataModel

    public class ListShuttleDataModel

extends org.ajax4jsf.model.ExtendedDataModel

Author:
  Nick Belaevski

Constructor Summary
`ListShuttleDataModel()`

Method Summary
`int` | `getRowCount()`
`java.lang.Object` | `getRowData()`
`int` | `getRowIndex()`
`java.lang.Object` | `getRowKey()`
`java.lang.Object` | `getWrappedData()`
`boolean` | `isRowAvailable()`
`void` | `setRowIndex(int rowIndex)`
`void` | `setRowKey(java.lang.Object key)`
`void` | `setWrappedData(java.lang.Object data)`
`void` | `walk(javax.faces.context.FacesContext context, org.ajax4jsf.model.DataVisitor visitor, org.ajax4jsf.model.Range range, java.lang.Object argument)`

Methods inherited from class org.ajax4jsf.model.ExtendedDataModel
`getSerializableModel`

Methods inherited from class javax.faces.model.DataModel
`addDataModelListener, getDataModelListeners, removeDataModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListShuttleDataModel

    public ListShuttleDataModel()

Method Detail

### getRowKey

    public java.lang.Object getRowKey()

  Specified by:
    `getRowKey` in class `org.ajax4jsf.model.ExtendedDataModel`

### setRowKey

    public void setRowKey(java.lang.Object key)

  Specified by:
    `setRowKey` in class `org.ajax4jsf.model.ExtendedDataModel`

### walk

    public void walk(javax.faces.context.FacesContext context,
                     org.ajax4jsf.model.DataVisitor visitor,
                     org.ajax4jsf.model.Range range,
                     java.lang.Object argument)
              throws java.io.IOException

  Specified by:
    `walk` in class `org.ajax4jsf.model.ExtendedDataModel`
  Throws:
    `java.io.IOException`

### getRowCount

    public int getRowCount()

  Specified by:
    `getRowCount` in class `javax.faces.model.DataModel`

### getRowData

    public java.lang.Object getRowData()

  Specified by:
    `getRowData` in class `javax.faces.model.DataModel`

### getRowIndex

    public int getRowIndex()

  Specified by:
    `getRowIndex` in class `javax.faces.model.DataModel`

### getWrappedData

    public java.lang.Object getWrappedData()

  Specified by:
    `getWrappedData` in class `javax.faces.model.DataModel`

### isRowAvailable

    public boolean isRowAvailable()

  Specified by:
    `isRowAvailable` in class `javax.faces.model.DataModel`

### setRowIndex

    public void setRowIndex(int rowIndex)

  Specified by:
    `setRowIndex` in class `javax.faces.model.DataModel`

### setWrappedData

    public void setWrappedData(java.lang.Object data)

  Specified by:
    `setWrappedData` in class `javax.faces.model.DataModel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.